# Created by Topology-Converter v{{ version }}
#    Template Revision: v4.7.1
#    https://gitlab.com/cumulus-consulting/tools/topology_converter
#    using topology data from: {{ topology_file }}

{% for function in ["oob-switch", "exit", "superspine", "leaf", "spine", "tor", "host", "Unknown"] %}
{%   for device in devices|selectattr("function", "equalto", function) %}
{%     if loop.first %}
[{{function}}]
{%     endif -%}
{{device.hostname}}{% if device.mgmt_ip is defined %} ansible_host={{device.mgmt_ip}}{% endif %}{% endfor %}
{% endfor %}

[all:vars]
ansible_user=cumulus
ansible_become_pass=test123
ansible_ssh_pass=test123

# [host:vars]
# ansible_user=ubuntu
# ansible_bcome_pass=nvidia
# ansible_ssh_pass=nvidia
